<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__sar__range__thres__register__enums" kind="group">
    <compoundname>group_sar_range_thres_register_enums</compoundname>
    <title>Range Interrupt Register Enums</title>
      <sectiondef kind="enum">
      <memberdef id="group__group__sar__range__thres__register__enums_1ga4e9ea88485879db9d2b7667066577fe6" kind="enum" prot="public" static="no">
        <name>cy_en_sar_range_thres_shift_t</name>
        <enumvalue id="group__group__sar__range__thres__register__enums_1gga4e9ea88485879db9d2b7667066577fe6a06f202dbc111e4adea686b491aeb382a" prot="public">
          <name>CY_SAR_RANGE_LOW_SHIFT</name>
          <initializer>= SAR_RANGE_THRES_RANGE_LOW_Pos</initializer>
          <briefdescription>
<para>Shift for setting lower limit of range detection. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__range__thres__register__enums_1gga4e9ea88485879db9d2b7667066577fe6a96d78f3a3f9dbb62e0349aaf56b5df6c" prot="public">
          <name>CY_SAR_RANGE_HIGH_SHIFT</name>
          <initializer>= SAR_RANGE_THRES_RANGE_HIGH_Pos</initializer>
          <briefdescription>
<para>Shift for setting upper limit of range detection. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_sar_range_thres_shift_t: </bold><linebreak />Configure the lower and upper thresholds for range detection.</para></briefdescription>
        <detaileddescription>
<para>The SARSEQ supports range detection to allow for automatic detection of sample values compared to two programmable thresholds without CPU involvement. Range detection is defined by two global thresholds and a condition. The RANGE_LOW value defines the lower threshold and RANGE_HIGH defines the upper threshold of the range.</para><para>Range detect is done after averaging, alignment, and sign extension (if applicable). In other words, the thresholds values must have the same data format as the result data. Range detection is always done for all channels scanned. By making RANGE_INTR_MASK=0, the firmware can choose to ignore the range detect interrupt for any channel. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1075" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="1071" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="1072" />
      </memberdef>
      <memberdef id="group__group__sar__range__thres__register__enums_1gaccf649d65a86e17939c3d20a684cd9cd" kind="enum" prot="public" static="no">
        <name>cy_en_sar_range_detect_condition_t</name>
        <enumvalue id="group__group__sar__range__thres__register__enums_1ggaccf649d65a86e17939c3d20a684cd9cda2f2cc118441effd4d6825028941b1de8" prot="public">
          <name>CY_SAR_RANGE_COND_BELOW</name>
          <initializer>= 0UL</initializer>
          <briefdescription>
<para>Range interrupt detected when result &lt; RANGE_LOW. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__range__thres__register__enums_1ggaccf649d65a86e17939c3d20a684cd9cda4828750edf10fa906cfeb20dd8afe45d" prot="public">
          <name>CY_SAR_RANGE_COND_INSIDE</name>
          <initializer>= 1UL</initializer>
          <briefdescription>
<para>Range interrupt detected when RANGE_LOW &lt;= result &lt; RANGE_HIGH. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__range__thres__register__enums_1ggaccf649d65a86e17939c3d20a684cd9cdab2c9127472581f2ada8ba764e6fac29b" prot="public">
          <name>CY_SAR_RANGE_COND_ABOVE</name>
          <initializer>= 2UL</initializer>
          <briefdescription>
<para>Range interrupt detected when RANGE_HIGH &lt;= result. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__range__thres__register__enums_1ggaccf649d65a86e17939c3d20a684cd9cda05ef1644deb92e634e163532a3b2179e" prot="public">
          <name>CY_SAR_RANGE_COND_OUTSIDE</name>
          <initializer>= 3UL</initializer>
          <briefdescription>
<para>Range interrupt detected when result &lt; RANGE_LOW || RANGE_HIGH &lt;= result. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_sar_range_detect_condition_t: </bold><linebreak />Configure the condition (below, inside, above, or outside) of the range detection interrupt.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1084" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="1078" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="1079" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This set of enumerations aids in configuring the SAR RANGE* registers. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>